Subject: [Gen-art] Gen-art review of draft-ietf-ipv6-deprecate-rh0-01

From: Elwyn Davies <[email-masked]>
Date: Fri, 21 Sep 2007 09:09:17 +0100

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-ipv6-deprecate-rh0-01.txt
Reviewer: Elwyn Davies
Review Date: 21/9/07  
IETF LC End Date: 20/9/07
IESG Telechat date: (if known) -

Summary: This document is almost ready for the IESG.  I have a couple of essentially editorial comments below.

Comments:
s3: "IPv6 nodes **MUST NOT process** RH0 in packets whose destination address in the IPv6 header is an address assigned to them. Such packets...":  The rest of the section then goes on to describe just how the node processes the header!  I think it should say something like: "An IPv6 node that receives a packet with a destination address assigned to it and containing an RH0 extension header MUST NOT execute the algorithm specified in the latter part of Section 4.4 of [RFC2460] for RH0. Instead such packets..."

s4.2, para 1: The abbreviation RH is not defined (only RH0) so s/type-2 RH/type 2 Routing Header/

Discussion:
This document accurately reflects the consensus that was reached in the community but there was considerable discussion about the appropriate course of action having discovered the issue.  I think that a short appendix noting the alternative ways forward and the reasons for not taking them would have been useful to avoid revisiting the discussion in future.

_____________

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art